Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ValidateProductIdRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.ValidateProductIdRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:29:14+02:00",
               comments="JAXB RI v2.2.11")
    public class ValidateProductIdRequest

extends RequestType
implements Serializable

Java class for ValidateProductIdRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidateProductIdRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element name="ProductId" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ValidateProductIdRequest()`

Method Summary
`String` | `getProductId()` Gets the value of the productId property.
`void` | `setProductId(String value)` Sets the value of the productId property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateProductIdRequest

    public ValidateProductIdRequest()

Method Detail

### getProductId

    public String getProductId()

  Gets the value of the productId property.

  Returns:
    possible object is `String`

### setProductId

    public void setProductId(String value)

  Sets the value of the productId property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.